DELETE
/api/v1/block_storage/{block_id}/
curl --request DELETE \ --url 'https://api.e2enetworks.com/myaccount/api/v1/block_storage/{block_id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.delete( "https://api.e2enetworks.com/myaccount/api/v1/block_storage/{block_id}/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/block_storage/{block_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "DELETE", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”block_id
required
string
Block ID
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”A successful response indicating the deletion of a block storage image
Media typeapplication/json
object
code
Response status code
integer
data
object
image_id
Identifier for the deleted image
integer
image_name
Name of the deleted image
string
errors
Any errors that occurred during the operation (if applicable)
object
message
Response message indicating the operation result
string
Example
{ "code": 200, "data": { "image_id": 25550, "image_name": "V_250GB_45211qqq11" }, "message": "Block Storage Deleted"}